From 5a6c367dd113fd6cd4db80d855ea75dfd4886865 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 16:06:43 +0000
Subject: [PATCH 56/220] cosmic-comp and cosmic-app-library


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index d73ffcd..14fbe7d 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -24,6 +24,12 @@ Source:         cosmic-app-library-%{ver}.tar.xz
 Source:         cosmic-app-library-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
+BuildRequires:  rustc
+BuildRequires:  lld
+BuildRequires:  cargo
+BuildRequires:  wayland-devel
+BuildRequires:  libxkbcommon-devel
+BuildRequires:  just
 
 %global _description %{expand:
 %{summary}.}
@@ -42,7 +48,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_vendor_manifest}
 
 %install
-%cargo_install
+just rootdir=%{buildroot} prefix=%{_prefix} install
 
 %if %{with check}
 %check
